#include "gameSettings.h"

const float GameConstants::MEASURING_MICRO_SCALE = 1000;
CoordConvertor GameConstants::MICRO_COORD_CONVERTOR( 1.0/ GameConstants::MEASURING_MICRO_SCALE );

const float GameConstants::MEASURING_MACRO_SCALE = 1000000000000;
CoordConvertor GameConstants::MACRO_COORD_CONVERTOR( 1.0/ ( MEASURING_MACRO_SCALE) );

const int GameConstants::MAX_SIMULATION_SKIP_COUNT = 0;
const int GameConstants::MAX_RENDER_SKIP_COUNT = 0;

const int GameConstants::MAX_UPDATE_SHIPS_SKIP_COUNT = 100;
const float GameConstants::SERVER_TIME_SPEED_UP = 30; //time on server runs 30times faster then reality
const float GameConstants::MAX_TOLERABLE_POSTION_DISTANCE_DIFFERENCE_CORRECTOR =  GameConstants::MICRO_COORD_CONVERTOR.convertServerToClientValue( 5000000 ); //set tolerance (in km ) between server and client ship positon
const float GameConstants::ATTENUATION_FACTOR_CORRECTOR = 0.8;

const CRgbw GameConstants::SCIFI_GREEN_DARK( 0,0.2,0,1.0 );
const CRgbw GameConstants::SCIFI_GREEN_BRIGHT( 0.2,1.0,0.2,1.0 );
const CRgbw GameConstants::SCIFI_MAGNETA( 1.0,0.3,1.0,0.8 ); 
const CRgbw GameConstants::SCIFI_RED( 1.0,0.5,0.5,1.0 );


const unsigned int GameConstants::CIRCLE_SEGMENT_COUNT = 30;
const float 	GameConstants::LINE_WIDTH = 1.0;


